XAMPP 1.6.x - 'showcode.php' Local File Inclusion

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1058001 漏洞类型
发布时间 2009-07-16 更新时间 2009-07-16
CVE编号 N/A CNNVD-ID N/A
漏洞平台 Multiple CVSS评分 N/A
|漏洞来源
https://www.exploit-db.com/exploits/33578
|漏洞详情
漏洞细节尚未披露
|漏洞EXP
source: http://www.securityfocus.com/bid/37999/info

XAMPP is prone to a local file-include vulnerability because it fails to sufficiently sanitize user-supplied input data.

An attacker can exploit this vulnerability to obtain potentially sensitive information and execute arbitrary local scripts in the context of the webserver process. This may allow the attacker to compromise the application and the computer; other attacks are also possible.

This issue affects XAMPP 1.6.8 and prior; other versions may be vulnerable as well. 

http://www.example.com/xampp/showcode.php?showcode=1&file=../index.php